package com.mortals.xhx.module.product.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.product.model.ProductTopicEntity;
import com.mortals.xhx.module.product.model.ProductTopicQuery;

/**
* ProductTopic
*
* 产品topic Form
*
* @author zxfei
* @date 2021-11-22
*/
public class ProductTopicForm extends BaseCRUDFormLong<ProductTopicEntity> {
    private ProductTopicEntity entity = new ProductTopicEntity();
    private ProductTopicQuery query = new ProductTopicQuery();
    public ProductTopicForm(){
    }

    @Override
    public ProductTopicEntity getEntity() {
        return entity;
    }

    public void setProductTopic(ProductTopicEntity entity) {
        this.entity = entity;
    }

    @Override
    public ProductTopicQuery getQuery() {
        return query;
    }

    public void setQuery(ProductTopicQuery query) {
        this.query = query;
    }
}